#include <allegro.h>

#define WHITE 63000

volatile int counter;
            

void my_timer_handler()
{
	counter++;
}  
END_OF_FUNCTION(my_timer_handler);



PALETTE pal;
BITMAP *obrazok;
int waiting_time;

int main()
{
	allegro_init();
	install_timer();
	install_keyboard();
	install_mouse();

	LOCK_VARIABLE(counter);
	LOCK_FUNCTION(my_timer_handler);

	install_int_ex(my_timer_handler,BPS_TO_TIMER(30));
	waiting_time = counter;

	set_color_depth(16);
	set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 480, 0, 0);

	clear_to_color(screen,65535);

	obrazok = load_tga("obrazok.tga", pal);

	do {
		clear_to_color(screen,65535);
		
		textprintf(screen, font, 10, 10, WHITE, "X=%d, Y=%d, Button=%d",
				mouse_x, mouse_y, mouse_b);

		draw_sprite(screen, obrazok, mouse_x, mouse_y);
		
		do {
		} while(waiting_time > counter);

		waiting_time = counter + 1;
		
	} while(!key[KEY_ESC]);

	remove_mouse();
	remove_keyboard();
	remove_timer();
	allegro_exit();
	return 0;
}

END_OF_MAIN();

